Bug 175461 - denied "libnvidia-tls.so.1.0.8174" in selinux-policy-targeted-2.1.2-1
denied "libnvidia-tls.so.1.0.8174" in selinux-policy-targeted-2.1.2-1
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Depends On:
  Show dependency treegraph
Reported: 2005-12-10 22:14 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-15 23:36:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/Xorg.0.log (27.02 KB, text/plain)
2005-12-10 22:14 EST, sangu
no flags Details

  None (edit)
Description sangu 2005-12-10 22:14:40 EST
Description of problem:
$cat /var/log/audit/audit.log
type=AVC msg=audit(1134260051.861:6): avc:  denied  { execmod } for  pid=2522
comm="Xorg" name="libnvidia-tls.so.1.0.8174" dev=hda8 ino=341763
tcontext=system_u:object_r:texrel_shlib_t:s0 tclass=file
type=SYSCALL msg=audit(1134260051.861:6): arch=40000003 syscall=125 success=no
exit=-13 a0=1e5000 a1=1000 a2=5 a3=bf98d400 items=0 pid=2522 auid=4294967295
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="Xorg"
type=AVC_PATH msg=audit(1134260051.861:6): 

$ ls -Z /usr/lib/nvidia/tls/*
lrwxrwxrwx  root     root     system_u:object_r:lib_t         
/usr/lib/nvidia/tls/libnvidia-tls.so.1 -> libnvidia-tls.so.1.0.8174
-rwxr-xr-x  root     root     system_u:object_r:texrel_shlib_t

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
mplayer can't start
mplayer: error while loading shared libraries: libGL.so.1: failed to map segment
from shared object: Permission denied

$tail -f /var/log/audit/audit.log
type=SYSCALL msg=audit(1134265672.488:83): arch=40000003 syscall=192 per=400000
success=no exit=-13 a0=626000 a1=19000 a2=7 a3=812 items=0 pid=12186
auid=4294967295 uid=501 gid=501 euid=501 suid=501 fsuid=501 egid=501 sgid=501
fsgid=501 comm="mplayer" exe="/usr/bin/mplayer"

$cat /var/log/Xorg.0.log
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/nvidia/libglx.so
dlopen: /usr/lib/nvidia/tls/libnvidia-tls.so.1: cannot restore segment prot
after reloc: Permission denied
(EE) Failed to load /usr/X11R6/lib/modules/extensions/nvidia/libglx.so
(II) UnloadModule: "glx"
(EE) Failed to load module "glx" (loader failed, 7)
(EE) NVIDIA(0): Failed to initialize the GLX module; please check in your X
(EE) NVIDIA(0):      log file that the GLX module has been loaded in your X
(EE) NVIDIA(0):      server, and that the module is the NVIDIA GLX module.  If
(EE) NVIDIA(0):      you continue to encounter problems, Please try
(EE) NVIDIA(0):      reinstalling the NVIDIA driver.
Comment 1 sangu 2005-12-10 22:14:41 EST
Created attachment 122103 [details]
Comment 2 Daniel Walsh 2006-01-02 12:29:02 EST
Fixed in selinux-policy-2.1.6-19
Comment 3 Daniel Walsh 2007-03-15 23:36:32 EDT
Closing several old modified bugs

Note You need to log in before you can comment on or make changes to this bug.